Bug 198387 - [PATCH] irc/znc: Update to 1.6.0 / Fix build with LibreSSL (SSL compression)
Summary: [PATCH] irc/znc: Update to 1.6.0 / Fix build with LibreSSL (SSL compression)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-07 13:34 UTC by Bernard Spil
Modified: 2015-04-16 15:23 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for irc/znc (820 bytes, patch)
2015-03-07 13:34 UTC, Bernard Spil
no flags Details | Diff
Build log of irc/znc (16.74 KB, text/plain)
2015-03-07 13:35 UTC, Bernard Spil
no flags Details
svn diff for irc/znc (17.00 KB, patch)
2015-03-07 14:43 UTC, Bernard Spil
no flags Details | Diff
Build log of irc/znc (17.00 KB, text/plain)
2015-03-07 14:44 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-07 13:34:53 UTC
Created attachment 153955 [details]
svn diff for irc/znc

Building irc/znc fails on missing COMP_METHOD method. This is a result of LibreSSL no longer including comp.h in ssl.h/ssl3.h. Attached patch fixes this build failure by including comp.h in Csocket.cpp..

I looked at upstreaming this but it seems that we're far behind the GitHub repo (v1.4 vs v1.6) and the code has changed considerably.
Comment 1 Bernard Spil freebsd_committer 2015-03-07 13:35:12 UTC
Created attachment 153956 [details]
Build log of irc/znc
Comment 2 Bernard Spil freebsd_committer 2015-03-07 14:43:50 UTC
Created attachment 153957 [details]
svn diff for irc/znc
Comment 3 Bernard Spil freebsd_committer 2015-03-07 14:44:08 UTC
Created attachment 153958 [details]
Build log of irc/znc
Comment 4 Mark Felder freebsd_committer 2015-03-31 14:49:44 UTC
(In reply to Bernard Spil from comment #0)

What is the current situation with upstreaming the patch?
Comment 5 Bernard Spil freebsd_committer 2015-03-31 18:43:51 UTC
Hi Mark,

https://github.com/jimloco/Csocket/pull/49
https://github.com/znc/znc/issues/594

Not yet imported.
Comment 6 Mark Felder freebsd_committer 2015-04-16 15:00:11 UTC
It looks like this was finally accepted upstream by znc.
Comment 7 commit-hook freebsd_committer 2015-04-16 15:18:55 UTC
A commit references this bug:

Author: feld
Date: Thu Apr 16 15:18:45 UTC 2015
New revision: 384113
URL: https://svnweb.freebsd.org/changeset/ports/384113

Log:
  Fix building against LibreSSL

  Upstream is accepting this change and it will land in the next release.

  PR:		198387

Changes:
  head/irc/znc/files/patch-src_Csocket.cpp
Comment 8 Mark Felder freebsd_committer 2015-04-16 15:23:55 UTC
Committed, thanks!